﻿using System;
using System.Windows.Forms;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.showDialogButton.Click += showDialogButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 대화 상자 표시 버튼 클릭시 처리하기 - showDialogButton_Click(sender, e)

        /// <summary>
        /// 대화 상자 표시 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void showDialogButton_Click(object sender, EventArgs e)
        {
            LoginControl control = new LoginControl();

            DialogResult result = XtraDialog.Show(this, control, "LOGIN", MessageBoxButtons.OKCancel);

            if(result == DialogResult.OK)
            {
                // 작업을 처리한다.
            }
        }

        #endregion
    }
}